%define name	libmsip
%define oname	msip
%define version 0.3.1
%define svn	3565
%define release %mkrel %svn.1

%define major	0
%define libname %mklibname %{oname} %major
%define develname %mklibname %{oname} -d

Name: 	 	%{name}
Summary: 	SIP library from MiniSip
Version: 	%{version}
Release: 	%{release}

Source:		http://www.minisip.org/source/%{name}-%{svn}.tar.bz2
URL:		http://www.minisip.org/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libmutil-devel >= 0.3.1-3565.0
BuildRequires:	libmnetutil-devel >= 0.3.1-3565.0
BuildRequires:	libmcrypto-devel >= 0.3.1-3565.0

%description
SIP library from MiniSip

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %name

%build
./bootstrap
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#cp include/%name/SipTransactionNon* %buildroot/%_includedir/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3565.1mdv2008.1
+ Revision: 164898
- New svn snapshot
- new devel policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Austin Acton <austin@mandriva.org> 0.3.1-3418.1mdv2008.0
+ Revision: 81116
- buildrequries
- new svn checkout


* Sun Dec 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-0.20061210.1mdv2007.0
+ Revision: 94494
- use stricter build deps
- new snap (20061210)

* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-0.20060517.1mdv2007.1
+ Revision: 94268
- Import libmsip

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.3.1-0.20060517.1mdk
- cvs
- fix naming

* Tue Mar 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-3mdk
- Add BuildRequires
- use mkrel

* Tue Feb 22 2005 Austin Acton <austin@mandrake.org> 0.3.0-2mdk
- add some missing headers

* Tue Feb 22 2005 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- New release 0.3.0

* Tue Feb 01 2005 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- initial package

